#!/usr/bin/env python
import sys
import math 

with open("local.txt", "r") as local_file:
    localValues=local_file.readlines()
with open("remote.txt", "r") as remote_file:
    remoteValues=remote_file.readlines()
                
num_values=min(len(localValues), len(remoteValues))
        
for i in range(num_values):
    try:
        (lname, lvalue, lerr)=localValues[i].split()
        lvalue=float(lvalue)
        lerr=float(lerr)
        (rname, rvalue, rerr)=remoteValues[i].split()
        rvalue=float(rvalue)
        rerr=float(rerr) 
       
        added=0
        removed=0
        
        if math.isnan(lvalue) and not math.isnan(rvalue):
        	added=1
        if not math.isnan(lvalue) and math.isnan(rvalue):
        	removed=1              
        
    except:
        print "Error in galaxy %s\n"%(i+1)
    else:
        value_diff=lvalue-rvalue
        err_diff=lerr-rerr
       
        if math.isnan(value_diff):
        	value_diff="NaN"
        if math.isnan(err_diff):
        	err_diff="NaN"
       
        if math.isnan(lvalue):
        	lvalue="NaN"
        if math.isnan(lerr):
        	lerr="NaN"
        if math.isnan(rvalue):
        	rvalue="NaN"
        if math.isnan(rerr):
        	rerr="NaN"        	
     		    		
        print "%s\t%s\t%s\t%s\t%s\t%s\t%s\t%s\t%s"%(lname, lvalue, lerr, rvalue, rerr, value_diff, err_diff, added, removed)
