import sys
from math import *

h75=float(sys.argv[1])

#Virgo coordinates
a1=float(sys.argv[2])
d1=float(sys.argv[3])

#Velocity threshold
threshold=float(sys.argv[4])

with open("coordsDeg.txt","r") as coordsDeg:
    coordsDeg=coordsDeg.readlines()

with open("coordsGal.txt","r") as coordsGal:
    coordsGal=coordsGal.readlines()

with open ("velocity.txt", "r") as velocity:
    velocities=velocity.readlines()

limit=min(len(coordsDeg), len(coordsGal), len(velocities))

for i in range(limit):
  
    #lcig,bcig:galactic coordiantes adeg,ddeg:J2000 coordinates
    deg=coordsDeg[i].split()
    gal=coordsGal[i].split()
    vel=velocities[i].split()
    if len(deg)==3 and len(gal)==3 and len(vel)==3:
        (name, adeg, ddeg)=deg
        (name, lcig, bcig)=gal
        (name, lvel, lerror)=vel
        lcig=float(lcig)
        bcig=float(bcig)
        adeg=float(adeg)
        ddeg=float(ddeg)
        vel=float(lvel)
        if vel < threshold:
            vel=float("NaN")
       
        l=float(lcig*2*pi/360)
        b=float(bcig*2*pi/360)
        vlg=float(vel)+295.*sin(l)*cos(b)-79.1*cos(l)*cos(b)-37.6*sin(b)
        a2=float(adeg)*2*pi/360
        d2=float(ddeg)*2*pi/360
        corr1=cos(d2)*cos(d2)*sin(a2-a1)*sin(a2-a1)+(cos(d1)*sin(d2)-sin(d1)*cos(d2)*cos(a2-a1))**2
        corr2=sin(d1)*sin(d2)+cos(d1)*cos(d2)*cos(a2-a1)
        theta=(180/pi)*atan(sqrt(corr1)/corr2)
        vvir= vlg-208.*cos(theta*2*pi/360)
        distan=vvir/h75
    	if isnan(distan):
    		distan="NaN"
    		
        print name, distan, "NaN"
    else:
        print "Error"

