import sys
import math

with open("coordsDeg.txt", "r") as coordsDegFile:
    coordsDegValues=coordsDegFile.readlines()
with open("coordsGal.txt","w") as coordsGal:
    for line in coordsDegValues:
        line=line.split()
        if len(line)==3:
            (name, ra, dec)=line
            ra=float(ra)
            dec=float(dec)

            stheta = 0.88998808748
            ctheta = 0.45598377618
            psi = 0.57477043300
            phi = 4.9368292465
            raa = ra*math.pi/180.
            deca = dec*math.pi/180.
            a = raa - phi
            b = deca
            sb = math.sin(b)
            cb = math.cos(b)
            cbsa = cb * math.sin(a)
            b = -stheta * cbsa + ctheta * sb
            lout = math.atan2(ctheta * cbsa + stheta * sb, cb * math.cos(a))+psi;
            bout = math.asin(b);

            while(lout < 0.0):
                lout = lout + 2.0*math.pi;
            while(lout >= 2.0*math.pi):
                lout = lout - 2.0*math.pi;

            l = lout/math.pi*180.
            b = bout/math.pi*180.
            coordsGal.write("%s\t%s\t%s\n"%(name, l, b))
        else:
            coordsGal.write("NaN\tNaN\tNaN\n")