import sys

with open("coords.txt", "r") as coordsFile:
    coordsValues=coordsFile.readlines()
with open("coordsDeg.txt","w") as coordsDeg:
    for line in coordsValues:
        line=line.split()
        if len(line)==3:
            (name, RA, DEC)=line
            ra_h=float(RA[0:2])
            ra_min=float(RA[2:4])
            ra_sec=float(RA[4:])
            
            sign=DEC[0]
            dec_deg=float(DEC[1:3])
            dec_min=float(DEC[3:5])
            dec_sec=float(DEC[5:])

            ra=(((ra_sec/60)+ra_min)/60+ra_h)*15 
            dec=dec_deg+((dec_min+(dec_sec/60))/60)
            if sign=="-":
                dec=-1.0*dec
            coordsDeg.write("%s\t%s\t%s\n"%(name, ra, dec))
        else:
            coordsDeg.write("NaN\tNaN\tNaN\n")