#!/usr/bin/env python
import sys
from math import *

with open ("distance_file.txt", "r") as distance_file:
    distances=distance_file.readlines()

with open ("btc_file.txt", "r") as btc_file:
    btcs=btc_file.readlines()    

max=min(len(distances), len(btcs))

for i in range(max):
    try:
        (name, btc, errbtc)=btcs[i].split()
        btc=float(btc)
        
    except:
        print "Format error in galaxy %i"%i
        print distances[i]
        print btcs[i]        
    else:
        try:#case "Unable to calculate the distance due to velocity:"
            (name, distance, errdist)=distances[i].split()
            distance=float(distance)
        except:
            distance=float("NaN")

        lb=2.0*log10(distance)+11.95-0.4*btc
    	if isnan(lb):
    		lb="NaN"        
        
        print name, lb, "NaN"